Specific kanji input causes Firefox crash on Windows 10
Closed, ResolvedPublic8 Story Points

Description

Reported by にょきにょき here.

Firefox(42.0) on Windows10, browser crashed.
How to reproduce

  1. Edit a page with VE, then move your cursor just before a template or a ref tag.
  2. Enter a specific word using rōmaji input. For example, かんじ ( press kanji ).
  3. The browser crashes when J key is pressed.

Here are other words that cause same problem ( probably many words cause ).
さんが ( sanga )
けんさ ( kensa )
もんだ ( monda )

Additional information
There are several ways of the typing to input かんじ, kanji / kannji / kan'ji.
kannji and kan'ji do not cause any problem.

Other browsers
Microsoft Edge/Internet Explorer 11 (I know these browsers are not supported officially, just for information) and Firefox on Windows XP
The browser does not crash, but Japanese input terminates.
Google Chrome
Any problem does not occur.
I'm using Microsoft IME, I have no idea about other IMEs like Google 日本語入力, ATOK and so on


I can't reproduce it, because my computer is on Linux.

Trizek-WMF updated the task description. (Show Details)
Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF added a project: VisualEditor.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 16 2015, 3:11 PM
Jdforrester-WMF triaged this task as High priority.Nov 17 2015, 8:05 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR3: Language support on the VisualEditor board.
Jdforrester-WMF added a subscriber: dchan.
dchan added a comment.Nov 18 2015, 5:25 AM

Thanks very much for this info. I can't reproduce on Windows 8 with Firefox 42 and Japanese IME.

Please could you type かんじ (pressing 'kanji') into our event logger, and then paste the resulting information here? Go to: https://rawgit.com/wikimedia/VisualEditor/master/demos/ve/eventLogger.html .

(I suspect Windows 10 Japanese IME is triggering unusual event sequences when it replaces 'かn' with 'かんj' - if I know these sequences then hopefully I can work out what the problem is).

Thanks a lot!

dchan added a comment.Nov 18 2015, 5:26 AM

If you could also provide the event log for Edge/IE11 and Chrome/Chromium that would help too. Thanks!

I've pinged にょきにょき on jawp.

Elitre added a subscriber: Elitre.Dec 22 2015, 2:10 PM
Jdforrester-WMF renamed this task from Specific kanji input causes Firefox crash to Specific kanji input causes Firefox crash on Windows 10.Jan 26 2016, 4:19 PM
dchan closed this task as Resolved.Jan 28 2016, 5:19 AM
dchan claimed this task.

My best guess is that some unusual event sequence was triggering this bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1230473 (see the discussion at T86589 and the comments in ve.ce.Surface#onDocumentCompositionStart for further details about how it affects us).

The handling of compositionstart has been changed since this issue was last reported (see above), and I don't seem to be able to reproduce the crash now, so I'm going to assume this is fixed - if you experience otherwise then please let us know.

にょきにょき confirmed to me he can't reproduce it anymore.

User:Miya report on the same page that she tried it too on Firefox and had a strange behavior, but can't reproduce it anymore a day after. May be circumstantial.